<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
   
   <meta name="description" content="FLUBIO - An unstructured, parallel, finite volume Navier-Stokes solver for teaching and research purposes">
    
    <meta name="author" content="Edoardo Alinovi and Joel Guerrero" >
    <link rel="icon" href="../favicon.png">

    <title>applyBoundaryConditionsMomentum &ndash; FLUBIO</title>

    <link href="../css/bootstrap.min.css" rel="stylesheet">
    <link href="../css/pygments.css" rel="stylesheet">
    <link href="../css/font-awesome.min.css" rel="stylesheet">
    <link href="../css/local.css" rel="stylesheet">
    
    <link  href="../tipuesearch/tipuesearch.css" rel="stylesheet">
    
    

    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.2/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    
    <script src="../js/jquery-2.1.3.min.js"></script>
    <script src="../js/svg-pan-zoom.min.js"></script>

  </head>

  <body>

    <!-- Fixed navbar -->
    <nav class="navbar navbar-inverse navbar-fixed-top">
      <div class="container">
        <div class="navbar-header">
          <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false" aria-controls="navbar">
            <span class="sr-only">Toggle navigation</span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
            <span class="icon-bar"></span>
          </button>
          <a class="navbar-brand" href="../index.html">FLUBIO </a>
        </div>
        <div id="navbar" class="navbar-collapse collapse">
          <ul class="nav navbar-nav">
        
            <li class="dropdown hidden-xs visible-sm visible-md hidden-lg">
              <a href="#" class="dropdown-toggle"
              data-toggle="dropdown" role="button"
              aria-haspopup="true"
     aria-expanded="false">Contents <span class="caret"></span></a>
        <ul class="dropdown-menu">
          
              
            <li><a href="../lists/files.html">Source Files</a></li>
        
        
        
            <li><a href="../lists/modules.html">Modules</a></li>
        
            
                                
            <li><a href="../lists/procedures.html">Procedures</a></li>
        
               
            <li><a href="../lists/types.html">Derived Types</a></li>
        
        
            <li><a href="../lists/programs.html">Programs</a></li>
               
        
        
            </ul>
        
            </li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/files.html">Source Files</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/modules.html">Modules</a></li>



<li class="visible-xs hidden-sm visible-lg"><a href="../lists/procedures.html">Procedures</a></li>

                             
<li class="visible-xs hidden-sm visible-lg"><a href="../lists/types.html">Derived Types</a></li>


<li class="visible-xs hidden-sm visible-lg"><a href="../lists/programs.html">Programs</a></li>



          </ul>
        
        <form action="../search.html" class="navbar-form navbar-right" role="search">
        <div class="form-group">
          <input type="text" class="form-control" placeholder="Search" name="q" id="tipue_search_input" autocomplete="off" required>
        </div>
<!--
        <button type="submit" class="btn btn-default">Submit</button>
-->
        </form>
        
        </div><!--/.nav-collapse -->
      </div>
    </nav>

    <div class="container">
    
  
  <div class="row">
    <h1>applyBoundaryConditionsMomentum
      <small>Subroutine</small>
    
    </h1>
    
<div class="row">
  <div class="col-lg-12">
<div class="well well-sm">
  <ul class="list-inline" style="margin-bottom:0px;display:inline">
     
     
     
    <li><i class="fa fa-legal"></i> <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a></li> 
     
     
     
    
    
     <li><i class="fa fa-list-ol"></i>
       <a data-toggle="tooltip"
    data-placement="bottom" data-html="true"
    title=" 0.3% of total for procedures.">57 statements</a>
     </li> 
     
     
     
    <li><i class="fa fa-code"></i><a href="../src/momentumEq.f03"> Source File</a></li>
     
     
  </ul>
  <ol class="breadcrumb in-well text-right">
  
    
     <li><a href='../sourcefile/momentumeq.f03.html'>momentumEq.f03</a></li>
    
     <li><a href='../module/momentumeq.html'>momentumEq</a></li>
    
  
     <li class="active">applyBoundaryConditionsMomentum</li>
  </ol>
</div>
</div>
</div>
<script>
  $(function () {
  $('[data-toggle="tooltip"]').tooltip()
  })
</script>

  </div>
  
  <div class="row">
    <div class="col-md-3 hidden-xs hidden-sm visible-md visible-lg">
    
<div id="sidebar">
  
<h3>Contents</h3>
 





















<em>None</em>


</div>

    </div>
    
    <div class="col-md-9" id='text'>
    <h2>
public subroutine applyBoundaryConditionsMomentum(this)
    
    
   
</h2>
    
  


    
    <p>applyBoundaryConditionsMomentum applies the boundary conditions to the momentum equation. According to the boundary flag
assigned at each boundary, this subroutine will invoke the proper subrotuine to compute the diagonal and rhs corrections.</p>
    

    <h3>Arguments</h3>
    
      
<table class="table table-striped varlist">
<thead><tr><th>Type</th>
<th>Intent</th><th>Optional</th>
<th>Attributes</th><th></th><th>Name</th><th></th></thead>



<tbody>

  
  
  
  
<tr>
  
  <td><span class="anchor" id="variable-this%7E84"></span>class(<a href='../type/momentumeqn.html'>momentumEqn</a>)</td>
  <td></td>
  <td></td>
  
  <td></td><td>::</td>
  <td><strong>this</strong></td><td></td>
  
</tr>

</tbody>
</table>

    
    
    
    <br>
    
    
    <div class="panel panel-default">
      <div class="panel-heading">
  <h3 class="panel-title">Calls</h3>
      </div>
      <div class="panel-body">
  <div class="depgraph"><?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: proc~~applyboundaryconditionsmomentum~~CallsGraph Pages: 1 -->
<svg id="procapplyboundaryconditionsmomentumCallsGraph" width="627pt" height="490pt"
 viewBox="0.00 0.00 627.00 490.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph" class="graph" transform="scale(1 1) rotate(0) translate(4 486)">
<title>proc~~applyboundaryconditionsmomentum~~CallsGraph</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-486 623,-486 623,4 -4,4"/>
<!-- proc~applyboundaryconditionsmomentum -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node1" class="node">
<title>proc~applyboundaryconditionsmomentum</title>
<polygon fill="none" stroke="#000000" points="188,-251 0,-251 0,-227 188,-227 188,-251"/>
<text text-anchor="middle" x="94" y="-236.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">applyBoundaryConditionsMomentum</text>
</g>
<!-- proc~slipboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node2" class="node">
<title>proc~slipboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node2"><a xlink:href=".././proc/slipboundary.html" xlink:title="slipBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="318,-482 244,-482 244,-458 318,-458 318,-482"/>
<text text-anchor="middle" x="281" y="-467.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">slipBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~slipboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge1" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~slipboundary</title>
<path fill="none" stroke="#000000" d="M98.2345,-251.1333C111.2521,-286.7221 154.0862,-391.9132 224,-449 227.2624,-451.6639 230.8942,-454.0077 234.7007,-456.0664"/>
<polygon fill="#000000" stroke="#000000" points="233.2711,-459.262 243.8079,-460.3694 236.2615,-452.9328 233.2711,-459.262"/>
</g>
<!-- proc~symmetryboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node3" class="node">
<title>proc~symmetryboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node3"><a xlink:href=".././proc/symmetryboundary.html" xlink:title="symmetryBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="333.5,-440 228.5,-440 228.5,-416 333.5,-416 333.5,-440"/>
<text text-anchor="middle" x="281" y="-425.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">symmetryBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~symmetryboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge2" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~symmetryboundary</title>
<path fill="none" stroke="#000000" d="M100.163,-251.024C116.3438,-281.4597 163.0277,-362.3 224,-407 226.0838,-408.5277 228.2908,-409.9553 230.5784,-411.288"/>
<polygon fill="#000000" stroke="#000000" points="229.2149,-414.5221 239.7105,-415.9687 232.4079,-408.2927 229.2149,-414.5221"/>
</g>
<!-- proc~interpolate -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node4" class="node">
<title>proc~interpolate</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node4"><a xlink:href=".././proc/interpolate.html" xlink:title="interpolate">
<polygon fill="#d9534f" stroke="#d9534f" points="312.5,-398 249.5,-398 249.5,-374 312.5,-374 312.5,-398"/>
<text text-anchor="middle" x="281" y="-383.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolate</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~interpolate -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge3" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~interpolate</title>
<path fill="none" stroke="#000000" d="M103.482,-251.1152C123.3514,-275.7682 171.8507,-332.2045 224,-365 228.9757,-368.1291 234.4865,-370.8911 240.0637,-373.2975"/>
<polygon fill="#000000" stroke="#000000" points="238.8436,-376.5787 249.4295,-377.0136 241.4253,-370.0722 238.8436,-376.5787"/>
</g>
<!-- proc~neumann0boundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node5" class="node">
<title>proc~neumann0boundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node5"><a xlink:href=".././proc/neumann0boundary.html" xlink:title="neumann0Boundary">
<polygon fill="#d9534f" stroke="#d9534f" points="335.5,-356 226.5,-356 226.5,-332 335.5,-332 335.5,-356"/>
<text text-anchor="middle" x="281" y="-341.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">neumann0Boundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~neumann0boundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge4" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~neumann0boundary</title>
<path fill="none" stroke="#000000" d="M110.1293,-251.0986C134.0393,-268.6366 180.7315,-301.383 224,-323 227.5599,-324.7785 231.3088,-326.489 235.1136,-328.1129"/>
<polygon fill="#000000" stroke="#000000" points="234.0282,-331.4494 244.6107,-331.9604 236.6566,-324.9616 234.0282,-331.4494"/>
</g>
<!-- proc~dirichletboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node6" class="node">
<title>proc~dirichletboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node6"><a xlink:href=".././proc/dirichletboundary.html" xlink:title="dirichletBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="328.5,-314 233.5,-314 233.5,-290 328.5,-290 328.5,-314"/>
<text text-anchor="middle" x="281" y="-299.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">dirichletBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~dirichletboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge5" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~dirichletboundary</title>
<path fill="none" stroke="#000000" d="M130.0555,-251.147C160.1607,-261.2894 203.2384,-275.8022 235.6743,-286.7298"/>
<polygon fill="#000000" stroke="#000000" points="234.7787,-290.1213 245.3728,-289.9972 237.0136,-283.4877 234.7787,-290.1213"/>
</g>
<!-- proc~robinboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node7" class="node">
<title>proc~robinboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node7"><a xlink:href=".././proc/robinboundary.html" xlink:title="robinBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="322,-272 240,-272 240,-248 322,-248 322,-272"/>
<text text-anchor="middle" x="281" y="-257.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">robinBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~robinboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge6" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~robinboundary</title>
<path fill="none" stroke="#000000" d="M188.0478,-249.5615C202.401,-251.1734 216.7369,-252.7833 229.7026,-254.2393"/>
<polygon fill="#000000" stroke="#000000" points="229.4531,-257.7332 239.7812,-255.3712 230.2343,-250.7769 229.4531,-257.7332"/>
</g>
<!-- proc~voidboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node8" class="node">
<title>proc~voidboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node8"><a xlink:href=".././proc/voidboundary.html" xlink:title="voidBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="320,-230 242,-230 242,-206 320,-206 320,-230"/>
<text text-anchor="middle" x="281" y="-215.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">voidBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~voidboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge7" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~voidboundary</title>
<path fill="none" stroke="#000000" d="M188.0478,-228.4385C203.1229,-226.7456 218.179,-225.0548 231.6484,-223.5422"/>
<polygon fill="#000000" stroke="#000000" points="232.0665,-227.0173 241.6134,-222.4231 231.2852,-220.061 232.0665,-227.0173"/>
</g>
<!-- flubiostop -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node9" class="node">
<title>flubiostop</title>
<polygon fill="#777777" stroke="#777777" points="619,-231 561,-231 561,-207 619,-207 619,-231"/>
<text text-anchor="middle" x="590" y="-216.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">flubiostop</text>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;flubiostop -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge9" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M122.5368,-226.9171C148.4618,-216.637 188.0362,-202.6654 224,-197 341.8833,-178.4299 483.3893,-198.8559 550.7021,-211.1224"/>
<polygon fill="#000000" stroke="#000000" points="550.3814,-214.6228 560.8534,-213.0138 551.6637,-207.7412 550.3814,-214.6228"/>
</g>
<!-- proc~velocityinletboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node10" class="node">
<title>proc~velocityinletboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node10"><a xlink:href=".././proc/velocityinletboundary.html" xlink:title="velocityInletBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="338,-150 224,-150 224,-126 338,-126 338,-150"/>
<text text-anchor="middle" x="281" y="-135.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">velocityInletBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~velocityinletboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge10" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~velocityinletboundary</title>
<path fill="none" stroke="#000000" d="M113.4973,-226.9696C138.646,-211.6348 183.9259,-184.6401 224,-164 230.3018,-160.7543 237.0892,-157.4761 243.7065,-154.3923"/>
<polygon fill="#000000" stroke="#000000" points="245.571,-157.3879 253.2035,-150.0397 242.6545,-151.0244 245.571,-157.3879"/>
</g>
<!-- proc~wallboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node11" class="node">
<title>proc~wallboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node11"><a xlink:href=".././proc/wallboundary.html" xlink:title="wallBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="319,-108 243,-108 243,-84 319,-84 319,-108"/>
<text text-anchor="middle" x="281" y="-93.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">wallBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~wallboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge11" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~wallboundary</title>
<path fill="none" stroke="#000000" d="M103.8793,-226.923C124.1009,-202.9019 172.6507,-148.718 224,-117 227.0072,-115.1425 230.2039,-113.4114 233.4891,-111.8055"/>
<polygon fill="#000000" stroke="#000000" points="235.1898,-114.8794 242.8974,-107.6101 232.3388,-108.4863 235.1898,-114.8794"/>
</g>
<!-- proc~farfieldboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node12" class="node">
<title>proc~farfieldboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node12"><a xlink:href=".././proc/farfieldboundary.html" xlink:title="farFieldBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="328,-66 234,-66 234,-42 328,-42 328,-66"/>
<text text-anchor="middle" x="281" y="-51.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">farFieldBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~farfieldboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge8" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~farfieldboundary</title>
<path fill="none" stroke="#000000" d="M100.4817,-226.8301C117.0613,-196.8022 163.9694,-118.4722 224,-75 226.0927,-73.4845 228.3069,-72.0668 230.6002,-70.742"/>
<polygon fill="#000000" stroke="#000000" points="232.4258,-73.74 239.7478,-66.0824 229.2486,-67.5026 232.4258,-73.74"/>
</g>
<!-- proc~neumannboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node13" class="node">
<title>proc~neumannboundary</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node13"><a xlink:href=".././proc/neumannboundary.html" xlink:title="neumannBoundary">
<polygon fill="#d9534f" stroke="#d9534f" points="332.5,-24 229.5,-24 229.5,0 332.5,0 332.5,-24"/>
<text text-anchor="middle" x="281" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">neumannBoundary</text>
</a>
</g>
</g>
<!-- proc~applyboundaryconditionsmomentum&#45;&gt;proc~neumannboundary -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge12" class="edge">
<title>proc~applyboundaryconditionsmomentum&#45;&gt;proc~neumannboundary</title>
<path fill="none" stroke="#000000" d="M98.3971,-226.8484C111.713,-191.6987 154.9681,-88.8712 224,-33 225.765,-31.5715 227.6364,-30.2347 229.5837,-28.9843"/>
<polygon fill="#000000" stroke="#000000" points="231.4611,-31.9455 238.5136,-24.0391 228.0699,-25.8218 231.4611,-31.9455"/>
</g>
<!-- harmonicinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node14" class="node">
<title>harmonicinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="507,-461 392,-461 392,-437 507,-437 507,-461"/>
<text text-anchor="middle" x="449.5" y="-446.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">harmonicinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;harmonicinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge13" class="edge">
<title>proc~interpolate&#45;&gt;harmonicinterpolation</title>
<path fill="none" stroke="#000000" d="M312.765,-396.5851C321.0957,-399.6629 329.9871,-403.2225 338,-407 354.7547,-414.8987 356.9367,-420.7921 374,-428 379.0132,-430.1177 384.303,-432.0862 389.6606,-433.9006"/>
<polygon fill="#000000" stroke="#000000" points="388.7414,-437.2813 399.3324,-436.9989 390.8769,-430.615 388.7414,-437.2813"/>
</g>
<!-- gradientbasedinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node15" class="node">
<title>gradientbasedinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="519,-419 380,-419 380,-395 519,-395 519,-419"/>
<text text-anchor="middle" x="449.5" y="-404.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">gradientbasedinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;gradientbasedinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge14" class="edge">
<title>proc~interpolate&#45;&gt;gradientbasedinterpolation</title>
<path fill="none" stroke="#000000" d="M312.6936,-389.9499C328.9228,-391.9726 349.4843,-394.5351 369.7028,-397.0549"/>
<polygon fill="#000000" stroke="#000000" points="369.5425,-400.562 379.8986,-398.3256 370.4082,-393.6157 369.5425,-400.562"/>
</g>
<!-- tvdinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node16" class="node">
<title>tvdinterpolation</title>
<polygon fill="#777777" stroke="#777777" points="492,-377 407,-377 407,-353 492,-353 492,-377"/>
<text text-anchor="middle" x="449.5" y="-362.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">tvdinterpolation</text>
</g>
<!-- proc~interpolate&#45;&gt;tvdinterpolation -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge15" class="edge">
<title>proc~interpolate&#45;&gt;tvdinterpolation</title>
<path fill="none" stroke="#000000" d="M312.6936,-382.0501C336.2783,-379.1107 369.012,-375.0311 396.5468,-371.5995"/>
<polygon fill="#000000" stroke="#000000" points="397.3249,-375.0297 406.8153,-370.3198 396.4592,-368.0834 397.3249,-375.0297"/>
</g>
<!-- interpolateelementtofacestd -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node17" class="node">
<title>interpolateelementtofacestd</title>
<polygon fill="#777777" stroke="#777777" points="522,-335 377,-335 377,-311 522,-311 522,-335"/>
<text text-anchor="middle" x="449.5" y="-320.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">interpolateelementtofacestd</text>
</g>
<!-- proc~interpolate&#45;&gt;interpolateelementtofacestd -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge16" class="edge">
<title>proc~interpolate&#45;&gt;interpolateelementtofacestd</title>
<path fill="none" stroke="#000000" d="M312.765,-375.4149C321.0957,-372.3371 329.9871,-368.7775 338,-365 354.7547,-357.1013 356.9367,-351.2079 374,-344 379.0132,-341.8823 384.303,-339.9138 389.6606,-338.0994"/>
<polygon fill="#000000" stroke="#000000" points="390.8769,-341.385 399.3324,-335.0011 388.7414,-334.7187 390.8769,-341.385"/>
</g>
<!-- proc~printinterpolationmethodslist -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_node18" class="node">
<title>proc~printinterpolationmethodslist</title>
<g id="a_proc~~applyboundaryconditionsmomentum~~CallsGraph_node18"><a xlink:href=".././proc/printinterpolationmethodslist.html" xlink:title="printInterpolationMethodsList">
<polygon fill="#d9534f" stroke="#d9534f" points="525,-273 374,-273 374,-249 525,-249 525,-273"/>
<text text-anchor="middle" x="449.5" y="-258.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">printInterpolationMethodsList</text>
</a>
</g>
</g>
<!-- proc~interpolate&#45;&gt;proc~printinterpolationmethodslist -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge17" class="edge">
<title>proc~interpolate&#45;&gt;proc~printinterpolationmethodslist</title>
<path fill="none" stroke="#000000" d="M312.6793,-378.6958C321.5588,-375.5472 330.7547,-371.1314 338,-365 362.6171,-344.1674 350.9509,-324.5552 374,-302 384.0243,-292.1905 396.8707,-284.0557 409.1136,-277.6888"/>
<polygon fill="#000000" stroke="#000000" points="410.8753,-280.7227 418.3015,-273.1661 407.7838,-274.4424 410.8753,-280.7227"/>
</g>
<!-- proc~printinterpolationmethodslist&#45;&gt;flubiostop -->
<g id="proc~~applyboundaryconditionsmomentum~~CallsGraph_edge18" class="edge">
<title>proc~printinterpolationmethodslist&#45;&gt;flubiostop</title>
<path fill="none" stroke="#000000" d="M489.7617,-248.9645C509.0963,-243.1847 532.1619,-236.2897 551.2902,-230.5716"/>
<polygon fill="#000000" stroke="#000000" points="552.315,-233.9184 560.8936,-227.7008 550.3101,-227.2116 552.315,-233.9184"/>
</g>
</g>
</svg>
</div><div><a type="button" class="graph-help" data-toggle="modal" href="#graph-help-text">Help</a></div><div class="modal fade" id="graph-help-text" tabindex="-1" role="dialog"><div class="modal-dialog modal-lg" role="document"><div class="modal-content"><div class="modal-header"><button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button><h4 class="modal-title" id="-graph-help-label">Graph Key</h4></div><div class="modal-body">
    <p>Nodes of different colours represent the following: </p>
    <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: Graph Key Pages: 1 -->
<svg width="558pt" height="32pt"
 viewBox="0.00 0.00 557.50 32.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 28)">
<title>Graph Key</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-28 553.5,-28 553.5,4 -4,4"/>
<!-- Subroutine -->
<g id="node1" class="node">
<title>Subroutine</title>
<polygon fill="#d9534f" stroke="#d9534f" points="64,-24 0,-24 0,0 64,0 64,-24"/>
<text text-anchor="middle" x="32" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Subroutine</text>
</g>
<!-- Function -->
<g id="node2" class="node">
<title>Function</title>
<polygon fill="#d94e8f" stroke="#d94e8f" points="136,-24 82,-24 82,0 136,0 136,-24"/>
<text text-anchor="middle" x="109" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Function</text>
</g>
<!-- Interface -->
<g id="node3" class="node">
<title>Interface</title>
<polygon fill="#a7506f" stroke="#a7506f" points="209.5,-24 154.5,-24 154.5,0 209.5,0 209.5,-24"/>
<text text-anchor="middle" x="182" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Interface</text>
</g>
<!-- Unknown Procedure Type -->
<g id="node4" class="node">
<title>Unknown Procedure Type</title>
<polygon fill="#777777" stroke="#777777" points="362,-24 228,-24 228,0 362,0 362,-24"/>
<text text-anchor="middle" x="295" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Unknown Procedure Type</text>
</g>
<!-- Program -->
<g id="node5" class="node">
<title>Program</title>
<polygon fill="#f0ad4e" stroke="#f0ad4e" points="434,-24 380,-24 380,0 434,0 434,-24"/>
<text text-anchor="middle" x="407" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#ffffff">Program</text>
</g>
<!-- This Page&#39;s Entity -->
<g id="node6" class="node">
<title>This Page&#39;s Entity</title>
<polygon fill="none" stroke="#000000" points="549.5,-24 452.5,-24 452.5,0 549.5,0 549.5,-24"/>
<text text-anchor="middle" x="501" y="-9.6" font-family="Helvetica,sans-Serif" font-size="10.50" fill="#000000">This Page&#39;s Entity</text>
</g>
</g>
</svg>

    
    <p>Solid arrows point from a procedure to one which it calls. Dashed 
    arrows point from an interface to procedures which implement that interface.
    This could include the module procedures in a generic interface or the
    implementation in a submodule of an interface in a parent module.
    </p>
    </div></div></div></div>
      </div>
    </div>
     
     
    <br>

    <section class="visible-xs visible-sm hidden-md">
      
<h3>Contents</h3>
 





















<em>None</em>


    </section>
    <br class="visible-xs visible-sm hidden-md">

    

    
    
    
    
    

    
    
    
    
    


    
    
    
    
    </div>
  </div>


    <hr>    
    </div> <!-- /container -->
    <footer>
      <div class="container">
      <div class="row">
        <div class="col-xs-6 col-md-6"><p>FLUBIO was developed by Edoardo Alinovi and Joel Guerrero<br>&copy; 2021 <a rel="license" href="http://creativecommons.org/licenses/by-nc/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-nc/4.0/80x15.png" /></a>
                                          </p>
        </div>
        <div class="col-xs-6 col-md-6">
          <p class="text-right">
            Documentation generated by 
            <a href="https://github.com/Fortran-FOSS-Programmers/ford">FORD</a>
            
            
          </p>
        </div>
      </div>
      <br>
      </div> <!-- /container -->    
    </footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
<!--
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.1/jquery.min.js"></script>
-->
    <script src="../js/bootstrap.min.js"></script>
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="../js/ie10-viewport-bug-workaround.js"></script>

    <!-- MathJax JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script type="text/x-mathjax-config">
      MathJax.Hub.Config({
        TeX: { extensions: ['AMSmath.js','AMSsymbols.js','noErrors.js','noUndefined.js'], equationNumbers: { autoNumber: 'AMS' } },
        jax: ['input/TeX','input/MathML','output/HTML-CSS'],
        extensions: ['tex2jax.js','mml2jax.js','MathMenu.js','MathZoom.js']
      });
    </script>
    
    <script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.1/MathJax.js?config=TeX-AMS-MML_HTMLorMML"></script>
    
    
    <script src="../tipuesearch/tipuesearch_content.js"></script>
    <script src="../tipuesearch/tipuesearch_set.js"></script>
    <script src="../tipuesearch/tipuesearch.js"></script>
    
    
  </body>
</html>